# H248_EventName Class Reference

`#include <h248.h>`

Inheritance diagram for H248_EventName:

List of all members.

## Public Member Functions

| H248_EventName (unsigned tag=UniversalOctetString, TagClass tagClass=UniversalTagClass)
| H248_EventName (const char *v)
| H248_EventName (const PString &v)
| H248_EventName (const PBYTEArray &v)
H248_EventName & | operator= (const char *v)
H248_EventName & | operator= (const PString &v)
H248_EventName & | operator= (const PBYTEArray &v)
PObject * | Clone () const

## Constructor & Destructor Documentation

H248_EventName::H248_EventName | ( | unsigned | tag = `UniversalOctetString`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

H248_EventName::H248_EventName | ( | const char * | v | ) |

H248_EventName::H248_EventName | ( | const PString & | v | ) |

H248_EventName::H248_EventName | ( | const PBYTEArray & | v | ) |

## Member Function Documentation

H248_EventName& H248_EventName::operator= | ( | const char * | v | ) |

Reimplemented from H248_PkgdName.

H248_EventName& H248_EventName::operator= | ( | const PString & | v | ) |

Reimplemented from H248_PkgdName.

H248_EventName& H248_EventName::operator= | ( | const PBYTEArray & | v | ) |

Reimplemented from H248_PkgdName.

PObject* H248_EventName::Clone | ( |  | ) | const

Reimplemented from H248_PkgdName.

The documentation for this class was generated from the following file:

- h248.h